upstart services aren't created for ceilometer-alarm-evaluator ceilometer-alarm-notifier

Bug #1267307 reported by Bruce Martins on 2014-01-09
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
ceilometer (Ubuntu)
Undecided
Unassigned

Bug Description

The two below should have services created in upstart upon install, which are a part of the ceilometer-common package

ceilometer-alarm-evaluator
ceilometer-alarm-notifier

Bruce Martins (bmartins) wrote :

forgot to add this is the havana release of openstack, ceilometer

ceilometer-common 2013.2-0ubuntu1~cloud0

Malleshi C N (malleshicn) wrote :

Hi Bruce,

I have installed Havana on ubuntu 12.04,I have configured Ceilometer. But I couldn't see services of ceilometer-alarm-evaluator and ceilometer-alarm-notifier. Please assist me. I have raised a question about this , But couldn't get proper answer. is there any bug which need to be fixed ? or I am doing something wrong...?

Below is the question link for more details:
https://answers.launchpad.net/ubuntu/+source/ceilometer/+question/245076

Chuck Short (zulcss) wrote :

This was fixed in b2

Changed in ceilometer (Ubuntu):
status: New → Fix Released
Malleshi C N (malleshicn) wrote :

Hi Chuck,
I created the services by my own as per the assistance from Bruce. How I could fix below error

I have found something from my log .

==> ceilometer-collector.log <==
2014-03-25 05:40:56.308 1047 ERROR stevedore.extension [-] error calling 'port': 'tenant_id'
2014-03-25 05:40:56.308 1047 ERROR stevedore.extension [-] 'tenant_id'
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension Traceback (most recent call last):
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/stevedore/extension.py", line 145, in _invoke_one_plugin
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension response_callback(func(e, *args, **kwds))
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/ceilometer/collector/service.py", line 293, in _process_notification_for_ext
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension p(list(ext.obj.to_samples(notification)))
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/ceilometer/network/notifications.py", line 89, in process_notification
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension project_id=message['payload']['tenant_id'],
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension KeyError: 'tenant_id'
2014-03-25 05:40:56.308 1047 TRACE stevedore.extension

refer:
https://bugs.launchpad.net/ceilometer/+bug/1276761

Malleshi C N (malleshicn) wrote :

could you please let me know what is b2?

Thanks for your response..

James Page (james-page) on 2014-04-17
Changed in cloud-archive:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers